iTerrainCellFeederProperties Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iTerrainCellFeederProperties Struct Reference

This is a base class for per-cell feeder-specific properties. More...

`#include <imesh/terrain2.h>`

Inheritance diagram for iTerrainCellFeederProperties:

List of all members.

## Public Member Functions
virtual void | AddAlphaMap (const char *material, const char *alphaMapSource)=0
| Add an explicit material/alpha-map pair.
virtual csPtr < iTerrainCellFeederProperties > | Clone ()=0
| Get a copy of the properties object.
virtual size_t | GetAlphaMapCount ()=0
| Get number of alpha maps this object has set.
virtual const char * | GetAlphaMapMaterial (size_t index)=0
| Get material of an alpha map.
virtual size_t | GetParameterCount ()=0
| Get number of parameters this object has set.
virtual const char * | GetParameterName (size_t index)=0
| Get name of a parameter.
virtual void | SetHeightmapSource (const char *source, const char *format)=0
| Set heightmap source.
virtual void | SetHeightOffset (float offset)=0
| Set height offset.
virtual void | SetMaterialMapSource (const char *source)=0
| Set materialmap source.
virtual void | SetNormalMapSource (const char *source)=0
| Set normalmap source.
virtual void | SetParameter (const char *param, const char *value)=0
| Set named parameter.
virtual const char * | GetParameterValue (size_t index)=0
| Get value of a parameter.
virtual const char * | GetParameterValue (const char *name)=0
| Get value of a parameter.
virtual const char * | GetAlphaMapSource (size_t index)=0
| Get source of an alpha map.
virtual const char * | GetAlphaMapSource (const char *material)=0
| Get source of an alpha map.

## Detailed Description

This is a base class for per-cell feeder-specific properties.

Definition at line 212 of file terrain2.h.

## Member Function Documentation

virtual void iTerrainCellFeederProperties::AddAlphaMap | ( | const char * | material,
|  | const char * | alphaMapSource
| ) |  | `[pure virtual]`

Add an explicit material/alpha-map pair.

virtual csPtr<iTerrainCellFeederProperties> iTerrainCellFeederProperties::Clone | ( |  | ) | `[pure virtual]`

Get a copy of the properties object.

virtual size_t iTerrainCellFeederProperties::GetAlphaMapCount | ( |  | ) | `[pure virtual]`

Get number of alpha maps this object has set.

virtual const char* iTerrainCellFeederProperties::GetAlphaMapMaterial | ( | size_t | index | ) | `[pure virtual]`

Get material of an alpha map.

virtual const char* iTerrainCellFeederProperties::GetAlphaMapSource | ( | size_t | index | ) | `[pure virtual]`

Get source of an alpha map.

virtual const char* iTerrainCellFeederProperties::GetAlphaMapSource | ( | const char * | material | ) | `[pure virtual]`

Get source of an alpha map.

virtual size_t iTerrainCellFeederProperties::GetParameterCount | ( |  | ) | `[pure virtual]`

Get number of parameters this object has set.

virtual const char* iTerrainCellFeederProperties::GetParameterName | ( | size_t | index | ) | `[pure virtual]`

Get name of a parameter.

virtual const char* iTerrainCellFeederProperties::GetParameterValue | ( | size_t | index | ) | `[pure virtual]`

Get value of a parameter.

virtual const char* iTerrainCellFeederProperties::GetParameterValue | ( | const char * | name | ) | `[pure virtual]`

Get value of a parameter.

virtual void iTerrainCellFeederProperties::SetHeightmapSource | ( | const char * | source,
|  | const char * | format
| ) |  | `[pure virtual]`

Set heightmap source.

virtual void iTerrainCellFeederProperties::SetHeightOffset | ( | float | offset | ) | `[pure virtual]`

Set height offset.

virtual void iTerrainCellFeederProperties::SetMaterialMapSource | ( | const char * | source | ) | `[pure virtual]`

Set materialmap source.

virtual void iTerrainCellFeederProperties::SetNormalMapSource | ( | const char * | source | ) | `[pure virtual]`

Set normalmap source.

virtual void iTerrainCellFeederProperties::SetParameter | ( | const char * | param,
|  | const char * | value
| ) |  | `[pure virtual]`

Set named parameter.

Parameters:

  param | parameter name
  value | parameter value

The documentation for this struct was generated from the following file:

- imesh/terrain2.h